from fastapi import APIRouter

from app.api.v1.endpoints import auth, register, users


# Create main API router
api_router = APIRouter()

# Include routers for different endpoints
api_router.include_router(auth.router, prefix="/auth", tags=["Authentication"])
api_router.include_router(users.router, prefix="/users", tags=["Users"])
api_router.include_router(register.router, prefix="/register", tags=["Registration"])