from typing import Optional

from pydantic import BaseModel


class Token(BaseModel):
    access_token: str
    token_type: str
    refresh_token: str


class TokenPayload(BaseModel):
    sub: Optional[str] = None  # subject (typically user ID)
    exp: Optional[int] = None  # expiration time
    type: Optional[str] = None  # token type (access or refresh)


class RefreshToken(BaseModel):
    refresh_token: str